UNIT uNoeud;

INTERFACE

USES
    Winapi.Windows,
    Winapi.Messages,
    System.SysUtils,
    System.Variants,
    System.Classes,
    Vcl.Graphics,
    Vcl.Controls,
    Vcl.Forms,
    Vcl.Dialogs,
    AdvUtil,
    Vcl.Grids,
    AdvObj,
    BaseGrid,
    AdvGrid,
    AdvCGrid,
    Vcl.StdCtrls, Vcl.ExtCtrls, Vcl.ToolWin, Vcl.ActnMan, Vcl.ActnCtrls, Vcl.ActnMenus,
    xpStyleACTNctrls, stdstyleactnctrls;

TYPE
    TForm5 = CLASS(TForm)
        list_Complexe : TAdvColumnGrid;
    Button2: TButton;
    Button3: TButton;
    GroupBox1: TGroupBox;
    bLoad: TButton;
    Button5: TButton;
    Memo1: TMemo;
    GroupBox2: TGroupBox;
    Button4: TButton;
    bGrouping: TButton;
    Button1: TButton;
    Memo2: TMemo;
    Button6: TButton;
    Button7: TButton;
    Bevel1: TBevel;
    Button9: TButton;
    GroupBox3: TGroupBox;
    Button11: TButton;
    Bevel2: TBevel;
    Button12: TButton;
    Button10: TButton;
    Button13: TButton;
        PROCEDURE bLoadClick(Sender : TObject);
        PROCEDURE Button1Click(Sender : TObject);
    procedure bGroupingClick(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    PRIVATE
        { Dclarations prives }
    PUBLIC
        { Dclarations publiques }
    END;

VAR
    Form5 : TForm5;

IMPLEMENTATION

{$R *.dfm}


procedure TForm5.bGroupingClick(Sender: TObject);
begin
    IF list_Complexe.GroupColumn = -1  THEN
       list_Complexe.Group(1);
end;

PROCEDURE TForm5.bLoadClick(Sender : TObject);
BEGIN
    list_Complexe.RowCount := 1;
    list_Complexe.LoadFromCSV('extrait.csv');
    list_Complexe.SortSettings.Full := True;
    list_Complexe.AutoSizeColumns(True);
    list_Complexe.Columns[6].Color := clred;
//    list_Complexe.SuppressColumn(2);

//     list_Complexe.SortSettings.Column := 1;
//     list_Complexe.QSort;   // Sorting didn't work
END;

procedure TForm5.Button10Click(Sender: TObject);
VAR
    I : Integer;
BEGIN
    FOR I := 1 TO list_Complexe.RowCount - 1 DO
    BEGIN
       IF NOT list_Complexe.IsNode(I) THEN
       Begin
        IF list_Complexe.Ints[list_Complexe.ColumnByName['cId_Extern_Def'].Index, I] = 102 THEN
        BEGIN
            list_Complexe.SuppressRow(I);
           // list_Complexe.group
        END; // Fin de IF
        END; // Fin de IF
    END; // Fin de IF

end;

PROCEDURE TForm5.Button1Click(Sender : TObject);
VAR
    I : Integer;
BEGIN
    FOR I := 1 TO list_Complexe.RowCount - 1 DO
    BEGIN
       IF NOT list_Complexe.IsNode(I) THEN
       Begin
        IF list_Complexe.Ints[list_Complexe.ColumnByName['cId_Extern_Def'].Index, I] <> 102 THEN
        BEGIN
            list_Complexe.SuppressRow(I);
           // list_Complexe.group
        END; // Fin de IF
        END; // Fin de IF
    END; // Fin de IF

END;

procedure TForm5.Button2Click(Sender: TObject);
begin
    IF list_Complexe.GroupColumn > -1  THEN
       list_Complexe.UnGroup;

end;

procedure TForm5.Button3Click(Sender: TObject);
begin
    list_Complexe.UnSuppressAllRows;
end;

procedure TForm5.Button4Click(Sender: TObject);
begin
     list_Complexe.RowCount := 1;
    list_Complexe.LoadFromCSV('extrait_Sorted.csv');
    list_Complexe.SortSettings.Full := True;
    list_Complexe.AutoSizeColumns(True);
end;

procedure TForm5.Button5Click(Sender: TObject);
begin
    IF list_Complexe.GroupColumn = -1  THEN
       list_Complexe.Group(1);

end;

procedure TForm5.Button8Click(Sender: TObject);
begin
   list_Complexe.MergeColumnCells(1, true);
end;

procedure TForm5.Button9Click(Sender: TObject);
begin
    list_Complexe.SplitAllCells;
end;

END.
